#
# spec file for package perl-Acme-CPANAuthors-British
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Acme-CPANAuthors-British
Version:        1.03
Release:        1.1
%define cpan_name Acme-CPANAuthors-British
Summary:        We are British CPAN authors
License:        Artistic-2.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Acme-CPANAuthors-British/
Source:         http://www.cpan.org/authors/id/B/BA/BARBIE/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Acme::CPANAuthors) >= 0.04
BuildRequires:  perl(Test::More) >= 0.70
Requires:       perl(Acme::CPANAuthors) >= 0.04
Requires:       perl(Test::More) >= 0.70
Recommends:     perl(Test::CPAN::Meta)
Recommends:     perl(Test::CPAN::Meta::JSON)
Recommends:     perl(Test::Pod) >= 1.00
Recommends:     perl(Test::Pod::Coverage) >= 0.08
%{perl_requires}

%description
This class provides a hash of British CPAN authors' PAUSE ID and name to be
used with the 'Acme::CPANAuthors' module.

This module was created simply because nobody had written it and uploaded
it to CPAN before me :)

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes examples LICENSE README

%changelog
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.03
  see /usr/share/doc/packages/perl-Acme-CPANAuthors-British/Changes
  =============================================
  1.03    2015-02-24
  - James Aitken sadly died last year.
  - extended META test suite.
  1.02    2014-08-18
  - fixed license fields in META.json to be lists.
  - added new Authors: PRICHMOND, PWR.
* Thu May  8 2014 stephan.barth@suse.com
- update to version 1.01 from 0.04
  Upstream changelog:
  1.01    2014-03-28
  - added new Author: MJEVANS (via github, thanks Martin).
  1.00    2014-03-21
  - added LICENSE file.
  - added new Authors: ABABLABAB, DCHESTER, EDWARDSON, GEOFFR, GHARPER
    and HOUSTON.
  - added new Companies: INTERINFO and RECKON.
  0.20    2013-12-08
  - added BRIANG and WDH.
  0.19    2013-06-09
  - added MJEMMESON (Michael Jemmeson)
  0.18    2012-12-02
  - fixed skip test counts
  0.17    2012-11-25
  - gravatar tests just not working at the moment :(
  0.16    2012-11-18
  - more robust tests.
  0.15    2012-11-04
  - removed JMCNAMARA.
  0.14    2012-11-04
  - change quality test for a company with distros!
  0.13    2012-09-19
  - implemented Perl::Critic suggestions.
  - change file dates changed to meet W3CDTF standards.
  - updated ping test to api.cpanauthors.org
  - added BOB (Bob Walker)
  0.12    2012-08-21
  - added NEWELLC (Colin Newell)
  0.11    2012-07-03
  - added JAITKEN (James Aitken)
  0.10    2012-04-29
  - more reliable skip tests added to 11companies.t.
  0.09    2012-04-22
  - further spelling fix (Florian Schlichting).
  - more reliable skip tests.
  0.08    2012-04-17
  - spelling fix. (thanks to Florian Schlichting & Gregor Herrmann).
  - added minimum perl version (5.006).
  - fixed test pre-requisites.
  - reworked Makefile.PL for clarity.
  - more documentation.
  0.07    2012-04-09
  - added NEILB and IOANR as British authors.
  0.06    2012-04-08
  - added missing test pre-requisite, IO::File.
  - added 1 British CPAN company.
  - added 34 British CPAN authors.
  0.05    2012-04-06
  - fixed CPANTS tests.
  - added META.json and test script.
* Thu Apr 14 2011 coolo@opensuse.org
- initial package 0.04
  * created by cpanspec 1.78.04
